<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <!-- Meta -->
    <title>Nightly GNOME Apps</title>
    <meta name="title" content="Nightly GNOME Apps" />
    <meta itemprop="name" content="Nightly GNOME Apps" />
    <meta name="description" content="Learn how to install and run GNOME Nightly apps." />
    <meta itemprop="description" content="Learn how to install and run GNOME Nightly apps." />

    <!-- Twitter -->
    <meta property="twitter:title" content="Nightly GNOME Apps" />
    <meta property="twitter:card" content="summary_large_image" />
    <meta
      property="twitter:description"
      content="Learn how to install and run GNOME Nightly apps."
    />
    <meta
      property="og:image"
      content="https://nightly.gnome.org/assets/card.png"
    />

    <!-- Open Graph -->
    <meta property="og:title" content="Nightly GNOME Apps" />
    <meta property="og:url" content="https://nightly.gnome.org/" />
    <meta
      property="og:description"
      content="Learn how to install and run GNOME Nightly apps."
    />
    <link rel="stylesheet" href="https://static.gnome.org/css/inter.css">
    <link rel="stylesheet" href="assets/style.css" />
    <link rel="icon" type="image/xml+svg" href="https://nightly.gnome.org/assets/favicon.svg" />
    <link
      rel="apple-touch-icon"
      href="https://nightly.gnome.org/assets/apple-touch-icon.png"
      sizes="180x180"
    />
  </head>

  <body>
    <section class="header">
      <ul class="nav">
        <li><a class="home title-3" href="/">Nightly GNOME Apps</a></li>
      </ul>
    </section>
    <div class="splash"></div>

    <section class="main">
      <div>
        <p><a href="https://flatpak.org">Flatpak</a> is a great way to safely install the latest development version of GNOME apps, alongside the regular stable versions. This is an easy way to test the next GNOME version.</p>

        <p>These applications are by nature in an unstable state. However, they should be always able to run and perform basic functionality. Most commonly, they are working with full functionality and just with increased stability issues. However, we cannot yet ensure basic stability across the whole platform, although we are working on a CI and deployment pipeline that would ensure its basic stability.</p>

      <p>Meanwhile, you can use the stable applications and install them in parallel to the nightlies from Flathub.</p>

      <p>CDN is kindly provided by <a href="https://www.cdn77.com/">CDN77</a>.</p> 
      
      <h3>Setting up GNOME nightlies</h3>
        
      <ol>
        <li>Install Flatpak and Flathub, following the <a href="https://flatpak.org/setup/">standard instructions</a></li>
        <li>Add the gnome-nightly repository, which provides the nightly GNOME runtime. Execute in a terminal: 
          <code class="term">flatpak remote-add --if-not-exists gnome-nightly https://nightly.gnome.org/gnome-nightly.flatpakrepo</code>
        </li>
      </ol>
      <h3>Installing and running nightly apps</h3>
      <p>Once nightlies have been set up, they can be installed and run like any other Flatpak application. This includes installing them with Software or from the command line (see the Flatpak documentation for <a href="http://docs.flatpak.org/en/latest/using-flatpak.html">an overview of common commands</a>).</p>
      <p>Some useful terminal commands for nightlies include:</p>
      <ul>
        <li>List all the apps in the nightly repository: 
          <code class="term">flatpak remote-ls --app gnome-nightly</code>
        </li>
        <li>Install a nightly app: 
          <code class="term">flatpak install gnome-nightly org.gnome.Epiphany.Devel</code>
          (in this example the <em>Epiphany</em> app)
        </li>
        <li>Run a nightly version: 
          <code class="term">flatpak run org.gnome.Epiphany.Devel//master</code>
          (in this example the <em>Epiphany</em> app)
        </li>
      </ul>
        
      </div>     
    </section>

    <footer>
      <div>&copy; 2023 GNOME Foundation</div>
    </footer>
  </body>
</html>
